// Wan.h: interface for the CWan class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_WAN_H__35551513_1285_11D2_84F8_0040052F0B6E__INCLUDED_)
#define AFX_WAN_H__35551513_1285_11D2_84F8_0040052F0B6E__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "defs.h"
#include "utils.h"
class CWan  
{
// operations
public:
	CWan();
	virtual ~CWan();
	void SetKey(const HKEY hkey){m_hKey = hkey;}
	BOOL ReadWriteWanParams(REGMODE emode);
	BOOL RemoveParameters(void);
	CPropertyPage* GetWanConfigPage();
	void WanConfigOnOk();
	void SetMaxFrame(int frsize){m_WAN.wan_maxframe = frsize;}
//attributes
protected:
	WAN	m_WAN;
private:
	HKEY m_hKey;
	CPropertyPage* m_pPage;
};

#endif // !defined(AFX_WAN_H__35551513_1285_11D2_84F8_0040052F0B6E__INCLUDED_)
